Падает при запуске

99 posts / 0 new
Last post
Ещё раз хорошо протестировал

Ещё раз хорошо протестировал (на openSuse 13.2) - так и не смог повторить ошибку.

Funcy-dcm wrote:

Funcy-dcm wrote:

Ещё раз хорошо протестировал (на openSuse 13.2) - так и не смог повторить ошибку.

Linux 24412fa 3.16.6-2-desktop #1 SMP PREEMPT Mon Oct 20 13:47:22 UTC 2014 (feb42ea) i686 i686 i386 GNU/Linux

А что у Вас???

Может еще какую доп информацию о системе дать?

 

открываем файл ~/.config

 

  • открываем файл ~/.config/QuiteRss/QuiteRss.ini
  • ищем строку pluginsEnable=true и делаем pluginsEnable=false
  • запускаем QuiteRSS
  • читаем новости

вопрос: а почему так ? 

случайно задублировал пост.

при поиске "чего-либо" по этой теме, много раз встречал проблемы с gsreamer (типа 0.1<-->1.0, ещё phonon и др.).... может оно...

при pluginsEnable=false

при pluginsEnable=false программа работает, но при открытии новости в которой к примеру размещён flash-ролик, программа выдаёт те же ошибки, что и до этого...

у меня пока только на флэше виснет.... но не все новости проверил

Попробуйте изменить

Попробуйте изменить javaScriptEnable=true на javaScriptEnable=false

после удачного певого запуска

после удачного певого запуска, через диалог настроек сразу же отключил java. проверил в ini-файле (стоит javaScriptEnable=false) - всёравно виснет (на роликах)

ClickToFlash= true/false -

ClickToFlash= true/false - тоже на ошибки не влияет

если сделать  так:

если сделать  так:

strace quiterss

то программа запускается, обновляет все новости, можно просмотреть списки новостей в лентах или воспользоваться другой функцией программы, вообщем работает как и задумано, но при выборе новости в списке новостей ленты, которая содержит ролик(возможно это относится к любому медиа-контенту), то показывает это:

<....>

rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x7f92e9600200}, {SIG_IGN, [], SA_RESTORER, 0x7f92e9ea1890}, 8 ) = 0
futex(0x7f92e72894a8, FUTEX_WAKE, 2147483647) = 0
write(2, "\n(quiterss:29629): GLib-GObject-"..., 94
(quiterss:29629): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'
) = 94
write(2, "\n(quiterss:29629): GLib-CRITICAL"..., 87
(quiterss:29629): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
) = 87
write(2, "\n(quiterss:29629): GLib-GObject-"..., 109
(quiterss:29629): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
) = 109
futex(0x7f92e72894a8, FUTEX_WAIT, 513, NULL^CProcess 29629 detached
 

 

phas13, пробовали отключить

phas13, пробовали отключить pluginsEnable как писал MfA0kYfB?

Если у вас двоих  будет повторятся ошибка только при запуске флэш- ролика, то возможно будет проще разобраться.

MfA0kYfB, можете дать ссылку на ленту и заголовок новости, в которой есть видео.

Funcy-dcm wrote:

Funcy-dcm wrote:

phas13, пробовали отключить pluginsEnable как писал MfA0kYfB?

Если у вас двоих  будет повторятся ошибка только при запуске флэш- ролика, то возможно будет проще разобраться.

MfA0kYfB, можете дать ссылку на ленту и заголовок новости, в которой есть видео.

Пробовал. Работает дольше на 2 минуты. Флэш ролики не запускал. Вывалилось с ошибкой:

 

[email protected]:~> quiterss

(quiterss:4461): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(quiterss:4461): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(quiterss:4461): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(quiterss:4461): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(quiterss:4461): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(quiterss:4461): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(quiterss:4461): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(quiterss:4461): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplay'

(quiterss:4461): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(quiterss:4461): GLib-GObject-CRITICAL **: g_type_register_static: assertion 'parent_type > 0' failed

(quiterss:4461): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(quiterss:4461): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
Ошибка сегментирования
[email protected]:~> openjdk version "1.8.0_40"
OpenJDK Runtime Environment (build 1.8.0_40-b10)
OpenJDK Server VM (build 25.40-b14, mixed mode)

 

А если запустить программу и

А если запустить программу и ничего не делать (обновление тоже отключить) - будет работать?

Funcy-dcm wrote:

Funcy-dcm wrote:

А если запустить программу и ничего не делать (обновление тоже отключить) - будет работать?

Вот уже минут 20 с отключенными дополнениями и обновлениями висит, не падает.

Спустя 30 минут - уже час не падает.

Отлично, а теперь попробуйте

Отлично, а теперь попробуйте по перемещаться по новостям (без включения обновления)

там у phas13, помимо, вылезло

там у phas13, помимо, вылезло "Ошибка сегментирования" -  тут надо повнимательнее, т.к. у меня однажды давно так падала целая пачка программ, соответственно решил проблему, убрав "Ошибка сегментирования"

лента с роликами (к примеру): http://ria.ru/export/rss2/video/index.xml

после дня использования : всё работает как задумывалось, за исключением роликов в новостях. все ленты проверил, функционал программы проверил, всё нормально, в том числе и обновление при запуске и обновление вручную...

ошибка только на роликах

 

P.S.

ошибка появляется не при запуске ролика, а при переключении на новость с роликом, в области просмотра новости ничего не отображается, и сразу всё то, что писали ранее, т.е. если смотреть в консоли, то описанные выше ошибки, а графическая часть просто перестаёт отвечать, ничего не фокусируется, не нажимается, не закрывается и т.д.

итог: получается, что если

итог: получается, что если поставить с нуля программу, добавить новость с роликами, то программа начинает выдавать ошибку при обновлени этой ленты (так же автообновление при запуске), а время работы скорее всего зависит от кол-ва лент и новых новостей, т.е. она, видать, начинает прогружать содержимое новостей и доходит до роликов. если просто изменить один параметр pluginsEnable=false, то обновление проходит нормально, лента обновляется, появляются новые новости. но как только переключаемся на новость в ленте с роликом, то опять ошибка, т.е. как только обращаемся к плагин-контенту

вывод: выключил версию по wine, перешёл обратно на нативную версию, работаю в штатном режиме с ограничением на ролики. программой доволен, жду решения проблемы, провожу тестирование...

Funcy-dcm wrote:

Funcy-dcm wrote:

Отлично, а теперь попробуйте по перемещаться по новостям (без включения обновления)

Работает. Переместился примерно по 2000 новостям, ничего не упало Smile

MfA0kYfB, похоже у вас разные

MfA0kYfB, похоже у вас разные проблемы с phas13. Позже сделаю версию специально для вас с отладочной информацией.

phas13, кажется, знаю из-за чего может быть проблема. Отключите воспроизведение звука при получении новостей "Меню - Инструменты - Настройки - Уведомления" и попробуйте обновить вручную ленты.

ок. ожидаю...

ок. ожидаю...

Funcy-dcm wrote:

Funcy-dcm wrote:

MfA0kYfB, похоже у вас разные проблемы с phas13. Позже сделаю версию специально для вас с отладочной информацией.

phas13, кажется, знаю из-за чего может быть проблема. Отключите воспроизведение звука при получении новостей "Меню - Инструменты - Настройки - Уведомления" и попробуйте обновить вручную ленты.

а у меня там и так выключено. ленты, кстати, уже минут 30 как несколько раз обновились, пока работает. правда пока не открывал новости во вкладках.

phas13, у тебя есть такой

phas13, у тебя есть такой репозиторий в списке:

KDE_KDE3 --- KDE 3.5.10 and associated software (openSUSE_13.2) --- http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_13.2/

??

Есть такой... А что?

Есть такой... А что?

проверяю одну версию...

проверяю одну версию... проверю отпишусь

отключил все репозитории,

отключил все репозитории, откатил 339 пакетов - не помогло

После обновления с 1.17.1 до

После обновления с 1.17.1 до 1.17.2 эта же проблема появилась у меня в версии для Windows.

Симптомы: программа настроена запускаться свернутой в трей. При запуске она начинает обновлять подписки. Если во время обновления подписок двойным щелчком вызвать окно программы из трея - падает. Если дождаться опроса всех подписок, а потом открыть окно - не падает. Но если при открытом окне начнется нажать "обновить всё", то сначала интерфейс подвисает, потом падает. Предполагаю, что падение происходит из-за сочетания "в любой подписке появилась новая запись + открыто главное окно программы". Воспроизведение звука при входящих новостях отключено, проверка обновлений тоже отключена.

После отката на 1.17.1 всё стало нормально, там такой проблемы нет.

а если сделать pluginsEnable

а если сделать pluginsEnable=false (см. выше) ?

Сделал pluginsEnable=false,

Сделал pluginsEnable=false, запустил, развернул, покликал по подпискам - вылет.

dartraiden, Пришлите файлы:

dartraiden, Пришлите файлы: feeds.db и quiterss.ini на quiterssteamatgmail.com

На третьем компьютере сумел

На третьем компьютере сумел повторить падение - буду разбираться.

dartraiden, Проблему решил,

dartraidenПроблему решил, постараюсь в ближайщие дни выпустить новую версию.

Pages